diff --git a/wcs/qommon/admin/menu.py b/wcs/qommon/admin/menu.py
index 6ca9e54fb..d4e7054b8 100644
--- a/wcs/qommon/admin/menu.py
+++ b/wcs/qommon/admin/menu.py
@@ -17,8 +17,8 @@
 from quixote import get_publisher, get_request
 from quixote.html import TemplateIO, htmltext
 
-from qommon import _
-from qommon.backoffice.menu import html_top
+from .. import _
+from ..backoffice.menu import html_top
 import re
 
 def _find_vc_version():
diff --git a/wcs/qommon/admin/settings.py b/wcs/qommon/admin/settings.py
index 47bf1e912..bdbd71ee2 100644
--- a/wcs/qommon/admin/settings.py
+++ b/wcs/qommon/admin/settings.py
@@ -18,10 +18,10 @@ from quixote import redirect
 from quixote.directory import Directory, AccessControlled
 from quixote.html import TemplateIO, htmltext
 
-from qommon import _
-from qommon.form import *
-from qommon.admin.cfg import cfg_submit
-from qommon.backoffice.menu import html_top
+from .. import _
+from ..form import *
+from ..admin.cfg import cfg_submit
+from ..backoffice.menu import html_top
 
 class SettingsDirectory(AccessControlled, Directory):
     def _q_access(self):
diff --git a/wcs/qommon/admin/texts.py b/wcs/qommon/admin/texts.py
index c983bf611..bf8882d4e 100644
--- a/wcs/qommon/admin/texts.py
+++ b/wcs/qommon/admin/texts.py
@@ -20,11 +20,11 @@ from quixote import redirect, get_publisher
 from quixote.html import TemplateIO, htmltext
 from quixote.directory import Directory
 
-from qommon import _
-from qommon.form import *
-from qommon import misc, get_cfg, ezt
-from qommon.backoffice.menu import html_top
-from qommon.template import Template
+from wcs.qommon import _
+from wcs.qommon.form import *
+from wcs.qommon import misc, get_cfg, ezt
+from wcs.qommon.backoffice.menu import html_top
+from wcs.qommon.template import Template
 
 
 class TextsDirectory(Directory):
diff --git a/wcs/qommon/afterjobs.py b/wcs/qommon/afterjobs.py
index ce2ca5da0..06f2ce5c9 100644
--- a/wcs/qommon/afterjobs.py
+++ b/wcs/qommon/afterjobs.py
@@ -17,9 +17,9 @@
 from quixote.directory import Directory
 from quixote import get_response
 
-import errors
-from http_response import AfterJob
-from qommon import _
+from . import errors
+from .http_response import AfterJob
+from . import _
 
 class AfterJobStatusDirectory(Directory):
     def _q_lookup(self, component):
diff --git a/wcs/qommon/backoffice/__init__.py b/wcs/qommon/backoffice/__init__.py
index 3b46505c3..7d271cd20 100644
--- a/wcs/qommon/backoffice/__init__.py
+++ b/wcs/qommon/backoffice/__init__.py
@@ -14,4 +14,4 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-from root import BackofficeRootDirectory
+from .root import BackofficeRootDirectory
diff --git a/wcs/qommon/backoffice/listing.py b/wcs/qommon/backoffice/listing.py
index 9ee05ac6c..388416013 100644
--- a/wcs/qommon/backoffice/listing.py
+++ b/wcs/qommon/backoffice/listing.py
@@ -19,7 +19,7 @@ import urllib
 from quixote.html import htmltext, TemplateIO
 from quixote import get_request, get_response
 
-from qommon import _
+from .. import _
 
 def pagination_links(offset, limit, total_count):
     get_response().add_javascript(['jquery.js', 'wcs.listing.js'])
diff --git a/wcs/qommon/backoffice/menu.py b/wcs/qommon/backoffice/menu.py
index 82f5f8ce8..6048ceea3 100644
--- a/wcs/qommon/backoffice/menu.py
+++ b/wcs/qommon/backoffice/menu.py
@@ -17,8 +17,8 @@
 from quixote import get_response, get_request, get_publisher, get_session
 from quixote.html import htmltext, TemplateIO
 
-from qommon import get_cfg
-from qommon import _
+from .. import get_cfg
+from .. import _
 
 def generate_header_menu(selected = None):
     return get_publisher().get_backoffice_root().generate_header_menu(selected=selected)
diff --git a/wcs/qommon/backoffice/root.py b/wcs/qommon/backoffice/root.py
index 86614d69b..b7a951ccb 100644
--- a/wcs/qommon/backoffice/root.py
+++ b/wcs/qommon/backoffice/root.py
@@ -17,8 +17,8 @@
 from quixote.directory import Directory, AccessControlled
 from quixote import get_publisher, get_request, get_response
 
-from qommon import _
-from qommon import errors
+from .. import _
+from .. import errors
 
 class BackofficeRootDirectory(AccessControlled, Directory):
 
diff --git a/wcs/qommon/bounces.py b/wcs/qommon/bounces.py
index 79f688762..120c25802 100644
--- a/wcs/qommon/bounces.py
+++ b/wcs/qommon/bounces.py
@@ -14,7 +14,7 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-from qommon.storage import StorableObject
+from .storage import StorableObject
 
 class Bounce(StorableObject):
     _names = 'bounces'
diff --git a/wcs/qommon/ctl.py b/wcs/qommon/ctl.py
index 5b9dc1a28..94d5fbcd5 100644
--- a/wcs/qommon/ctl.py
+++ b/wcs/qommon/ctl.py
@@ -24,8 +24,8 @@ __all__ = [
     'Command',
     ]
 
-import qommon
-from qommon import _
+from wcs import qommon
+from . import _
 qommon._commands = {}
 
 class Command(object):
diff --git a/wcs/qommon/emails.py b/wcs/qommon/emails.py
index a9e1a6288..472ab8256 100644
--- a/wcs/qommon/emails.py
+++ b/wcs/qommon/emails.py
@@ -27,7 +27,6 @@ from email.mime.multipart import MIMEMultipart
 from email.mime.nonmultipart import MIMENonMultipart
 from email.mime.text import MIMEText
 from email.utils import formataddr
-import email.Charset as Charset
 import smtplib
 import socket
 
@@ -47,13 +46,17 @@ from django.utils.safestring import mark_safe
 
 from quixote import get_request, get_response, get_publisher
 
-from publisher import get_cfg, get_logger
-import errors
-import tokens
-from admin.emails import EmailsDirectory
-from template import Template
+from .publisher import get_cfg, get_logger
+from . import errors
+from . import tokens
+from .admin.emails import EmailsDirectory
+from .template import Template
 
-Charset.add_charset('utf-8', Charset.QP, Charset.QP, 'utf-8')
+try:
+    import email.Charset as Charset
+    Charset.add_charset('utf-8', Charset.QP, Charset.QP, 'utf-8')
+except ImportError:
+    pass
 
 
 if docutils:
diff --git a/wcs/qommon/errors.py b/wcs/qommon/errors.py
index 7572b2a43..8bc57bb29 100644
--- a/wcs/qommon/errors.py
+++ b/wcs/qommon/errors.py
@@ -21,7 +21,7 @@ import quixote
 from quixote.errors import *
 from quixote.html import TemplateIO, htmltext
 
-import template
+from . import template
 
 
 class AccessForbiddenError(AccessError):
@@ -30,7 +30,7 @@ class AccessForbiddenError(AccessError):
         self.location_hint = location_hint
 
     def render(self):
-        from qommon import _
+        from . import _
         if self.public_msg:
             return template.error_page(self.public_msg, _('Access Forbidden'),
                     continue_to = (get_publisher().get_root_url(), _('the homepage')),
@@ -63,7 +63,7 @@ class EmailError(Exception):
 
 class InternalServerError(object):
     def render(self):
-        from qommon import _
+        from . import _
         template.html_top(_('Oops, the server borked severely'))
         r = TemplateIO(html=True)
 
@@ -116,7 +116,7 @@ TraversalError.description = N_(
 
 
 def format_publish_error(exc):
-    from qommon import _
+    from . import _
     if getattr(exc, 'public_msg', None):
         return template.error_page(exc.format(), _(exc.title))
     else:
diff --git a/wcs/qommon/form.py b/wcs/qommon/form.py
index c882fbf9b..aab00d059 100644
--- a/wcs/qommon/form.py
+++ b/wcs/qommon/form.py
@@ -35,7 +35,7 @@ try:
 except ImportError:
     Image = None
 
-from storage import atomic_write
+from .storage import atomic_write
 
 try:
     from feedparser import _sanitizeHTML
@@ -69,14 +69,14 @@ from django.conf import settings
 from django.utils.safestring import mark_safe
 
 from .template import render as render_template, Template, TemplateError
-from wcs.portfolio import has_portfolio
+from ..portfolio import has_portfolio
 from wcs.conditions import Condition, ValidationError
 
-from qommon import _, ngettext
-import misc
+from . import _, ngettext
+from . import misc
 from .humantime import humanduration2seconds, seconds2humanduration, timewords
 from .misc import strftime, C_, HAS_PDFTOPPM
-from publisher import get_cfg
+from .publisher import get_cfg
 from .template_utils import render_block_to_string
 
 QuixoteForm = Form
@@ -1484,6 +1484,8 @@ class WysiwygTextWidget(TextWidget):
         if self.value:
             if _sanitizeHTML:
                 self.value = _sanitizeHTML(self.value, get_request().charset, 'text/html')
+            elif isinstance(self.value, unicode):
+                self.value = self.value.encode(get_publisher().site_charset)
             if self.value.startswith('<br />'):
                 self.value = self.value[6:]
             if self.value.endswith('<br />'):
diff --git a/wcs/qommon/http_request.py b/wcs/qommon/http_request.py
index eaee44006..ff1d9a4b3 100644
--- a/wcs/qommon/http_request.py
+++ b/wcs/qommon/http_request.py
@@ -23,7 +23,7 @@ from quixote import get_session, get_publisher
 import quixote.http_request
 from quixote.errors import RequestError
 
-from http_response import HTTPResponse
+from .http_response import HTTPResponse
 
 class HTTPRequest(quixote.http_request.HTTPRequest):
     signed = False
@@ -51,7 +51,7 @@ class HTTPRequest(quixote.http_request.HTTPRequest):
         if auth_header.startswith('Basic '):
             auth_header = auth_header.split(' ', 1)[1]
             username, password = base64.decodestring(auth_header).split(':', 1)
-            from qommon.ident.password_accounts import PasswordAccount
+            from .ident.password_accounts import PasswordAccount
             try:
                 self._user = PasswordAccount.get_with_credentials(username, password)
             except KeyError:
diff --git a/wcs/qommon/http_response.py b/wcs/qommon/http_response.py
index 0659a0874..df3dfd208 100644
--- a/wcs/qommon/http_response.py
+++ b/wcs/qommon/http_response.py
@@ -24,7 +24,7 @@ from quixote.util import randbytes
 import quixote.http_response
 from quixote import get_publisher, get_request
 
-from qommon.storage import StorableObject
+from .storage import StorableObject
 
 class AfterJob(StorableObject):
     _names = 'afterjobs'
@@ -99,7 +99,7 @@ class HTTPResponse(quixote.http_response.HTTPResponse):
     def get_javascript_for_header(self):
         s = ''
         if self.javascript_scripts:
-            from qommon.admin.menu import get_vc_version
+            from .admin.menu import get_vc_version
             version_hash = hashlib.md5(str(get_vc_version())).hexdigest()
             root_url = get_publisher().get_root_url() + get_publisher().qommon_static_dir
             s += '\n'.join(['<script type="text/javascript" src="%sjs/%s?%s"></script>' % (
@@ -120,7 +120,7 @@ class HTTPResponse(quixote.http_response.HTTPResponse):
     def get_css_includes_for_header(self):
         if not self.css_includes:
             return ''
-        from qommon.admin.menu import get_vc_version
+        from .admin.menu import get_vc_version
         version_hash = hashlib.md5(str(get_vc_version())).hexdigest()
         root_url = get_publisher().get_root_url() + get_publisher().qommon_static_dir
         return '\n'.join(['<link rel="stylesheet" type="text/css" href="%scss/%s?%s" />' % (
diff --git a/wcs/qommon/humantime.py b/wcs/qommon/humantime.py
index 0fb27c630..cb3b3201b 100644
--- a/wcs/qommon/humantime.py
+++ b/wcs/qommon/humantime.py
@@ -16,7 +16,7 @@
 
 import re
 
-from qommon import _
+from . import _
 
 _minute = 60
 _hour = 60 * 60
diff --git a/wcs/qommon/ident/__init__.py b/wcs/qommon/ident/__init__.py
index ef63d628a..ec1fddcc7 100644
--- a/wcs/qommon/ident/__init__.py
+++ b/wcs/qommon/ident/__init__.py
@@ -16,7 +16,7 @@
 
 from quixote import get_publisher
 
-import base
+from . import base
 
 def login(method):
     m = get_publisher().ident_methods.get(method)
diff --git a/wcs/qommon/ident/franceconnect.py b/wcs/qommon/ident/franceconnect.py
index 976654b3e..de8a819d5 100644
--- a/wcs/qommon/ident/franceconnect.py
+++ b/wcs/qommon/ident/franceconnect.py
@@ -24,12 +24,12 @@ from quixote import redirect, get_session, get_publisher, get_request, get_sessi
 from quixote.directory import Directory
 from quixote.html import htmltext, TemplateIO
 
-from qommon import _
-from qommon.backoffice.menu import html_top
-from qommon import template, get_cfg, get_logger
-from qommon.form import (Form, StringWidget, CompositeWidget, ComputedExpressionWidget,
+from .. import _
+from ..backoffice.menu import html_top
+from .. import template, get_cfg, get_logger
+from ..form import (Form, StringWidget, CompositeWidget, ComputedExpressionWidget,
                          SingleSelectWidget, WidgetListAsTable)
-from qommon.misc import http_post_request, http_get_page, json_loads
+from ..misc import http_post_request, http_get_page, json_loads
 
 from wcs.workflows import WorkflowStatusItem
 from wcs.formdata import flatten_dict
diff --git a/wcs/qommon/ident/idp.py b/wcs/qommon/ident/idp.py
index cb57973f5..bb67bdb08 100644
--- a/wcs/qommon/ident/idp.py
+++ b/wcs/qommon/ident/idp.py
@@ -26,22 +26,22 @@ from quixote.directory import Directory
 from quixote import redirect, get_session, get_response, get_publisher
 from quixote.html import htmltext, TemplateIO
 
-from qommon import _
-from qommon import misc, get_cfg, get_logger
-from qommon.form import *
-from qommon.tokens import Token
+from .. import _
+from .. import misc, get_cfg, get_logger
+from ..form import *
+from ..tokens import Token
 
-from qommon import template
-from qommon import errors
+from .. import template
+from .. import errors
 
-from qommon.backoffice.menu import html_top
-from qommon.admin.menu import command_icon
+from ..backoffice.menu import html_top
+from ..admin.menu import command_icon
 
-from base import AuthMethod
-from qommon.storage import atomic_write
+from .base import AuthMethod
+from ..storage import atomic_write
 
-import qommon.x509utils as x509utils
-import qommon.saml2utils as saml2utils
+from .. import x509utils
+from .. import saml2utils
 
 ADMIN_TITLE = N_('SAML2')
 
@@ -1024,7 +1024,7 @@ class MethodAdminDirectory(Directory):
         return r.getvalue()
 
     def identities_submit(self, form):
-        from qommon.admin.settings import cfg_submit
+        from wcs.qommon.admin.settings import cfg_submit
         cfg_submit(form, 'saml_identities',
                 ('grab-user-with-wsf', 'identity-creation', 'notify-on-register',
                  'email-confirmation', 'registration-url'))
diff --git a/wcs/qommon/ident/password.py b/wcs/qommon/ident/password.py
index e9fa716aa..cb286eff6 100644
--- a/wcs/qommon/ident/password.py
+++ b/wcs/qommon/ident/password.py
@@ -18,34 +18,34 @@ import random
 import time
 import csv
 
-from base import AuthMethod, NoSuchMethodForUserError
+from .base import AuthMethod, NoSuchMethodForUserError
 
 from quixote import redirect, get_publisher
 from quixote.directory import AccessControlled, Directory
 from quixote.html import TemplateIO, htmltext
 
-from qommon import _, ngettext
-from qommon.form import *
+from .. import _, ngettext
+from ..form import *
 
-from qommon.publisher import get_publisher_class
-from qommon import misc, get_cfg, get_logger
-from qommon import emails
-from qommon import template
-from qommon import tokens
-from qommon import errors
+from ..publisher import get_publisher_class
+from .. import misc, get_cfg, get_logger
+from .. import emails
+from .. import template
+from .. import tokens
+from .. import errors
 
-from qommon.admin.menu import command_icon
+from ..admin.menu import command_icon
 
-from qommon.backoffice.menu import html_top
+from ..backoffice.menu import html_top
 
-from qommon.admin.emails import EmailsDirectory
+from ..admin.emails import EmailsDirectory
 from wcs.qommon.admin.texts import TextsDirectory
 
-from qommon.cron import CronJob
-from qommon.afterjobs import AfterJob
-import qommon.storage as st
+from ..cron import CronJob
+from ..afterjobs import AfterJob
+from .. import storage as st
 
-from password_accounts import PasswordAccount, HASHING_ALGOS
+from .password_accounts import PasswordAccount, HASHING_ALGOS
 
 
 def notify_admins_user_registered(account):
@@ -756,7 +756,7 @@ class MethodAdminDirectory(Directory):
         return r.getvalue()
 
     def passwords_submit(self, form):
-        from admin.settings import cfg_submit
+        from wcs.admin.settings import cfg_submit
         cfg_submit(form, 'passwords',
                 ('can_change', 'generate',
                 'min_length', 'max_length',
@@ -806,7 +806,7 @@ class MethodAdminDirectory(Directory):
         return r.getvalue()
 
     def identities_submit(self, form):
-        from admin.settings import cfg_submit
+        from wcs.admin.settings import cfg_submit
         cfg_submit(form, 'identities',
                 ('creation', 'email-as-username', 'notify-on-register', 'email-confirmation',
                  'warn_about_unused_account_delay', 'remove_unused_account_delay'))
diff --git a/wcs/qommon/ident/password_accounts.py b/wcs/qommon/ident/password_accounts.py
index 8a61ace29..6707620e0 100644
--- a/wcs/qommon/ident/password_accounts.py
+++ b/wcs/qommon/ident/password_accounts.py
@@ -18,7 +18,7 @@ import hashlib
 
 from quixote import get_publisher
 
-from qommon.storage import StorableObject
+from ..storage import StorableObject
 
 HASHING_ALGOS = {
    'sha': hashlib.sha1,
diff --git a/wcs/qommon/management/commands/collectstatic.py b/wcs/qommon/management/commands/collectstatic.py
index e4c11f30f..c2c0e822e 100644
--- a/wcs/qommon/management/commands/collectstatic.py
+++ b/wcs/qommon/management/commands/collectstatic.py
@@ -18,7 +18,7 @@ import os
 import shutil
 
 from django.core.management.base import BaseCommand
-from qommon.publisher import get_publisher_class
+from wcs.qommon.publisher import get_publisher_class
 
 class Command(BaseCommand):
     help = "Collect static files in a single location."
diff --git a/wcs/qommon/management/commands/cron.py b/wcs/qommon/management/commands/cron.py
index 3a0b5b733..99d833a6d 100644
--- a/wcs/qommon/management/commands/cron.py
+++ b/wcs/qommon/management/commands/cron.py
@@ -20,10 +20,10 @@ import os
 
 from django.conf import settings
 from django.core.management.base import BaseCommand, CommandError
-from qommon.publisher import get_publisher_class
+from wcs.qommon.publisher import get_publisher_class
 
-from qommon.vendor import locket
-from qommon.cron import cron_worker
+from wcs.qommon.vendor import locket
+from wcs.qommon.cron import cron_worker
 from wcs.wf.jump import JUMP_TIMEOUT_INTERVAL
 
 
diff --git a/wcs/qommon/management/commands/migrate.py b/wcs/qommon/management/commands/migrate.py
index 4fe70a77f..0fb02da75 100644
--- a/wcs/qommon/management/commands/migrate.py
+++ b/wcs/qommon/management/commands/migrate.py
@@ -18,7 +18,7 @@ import os
 import quixote
 
 from django.core.management.base import BaseCommand
-from qommon.publisher import get_publisher_class
+from wcs.qommon.publisher import get_publisher_class
 
 class Command(BaseCommand):
     help = 'Migrate databases'
diff --git a/wcs/qommon/misc.py b/wcs/qommon/misc.py
index d1ac7c4c5..0bd590845 100644
--- a/wcs/qommon/misc.py
+++ b/wcs/qommon/misc.py
@@ -46,10 +46,10 @@ from django.utils.six.moves.urllib import parse as urlparse
 from quixote import get_publisher, get_response, get_request
 from quixote.html import htmltext
 
-from qommon import _
-from qommon import get_cfg, get_logger, ezt
-from qommon.errors import ConnectionError
-from qommon.template import Template
+from . import _
+from . import get_cfg, get_logger, ezt
+from .errors import ConnectionError
+from .template import Template
 
 from django.utils.six import StringIO
 
diff --git a/wcs/qommon/myspace.py b/wcs/qommon/myspace.py
index 5528abb1a..f9bb8845d 100644
--- a/wcs/qommon/myspace.py
+++ b/wcs/qommon/myspace.py
@@ -18,14 +18,13 @@ from quixote import get_publisher, get_request, redirect, get_response, get_sess
 from quixote.directory import Directory
 from quixote.html import htmltext, TemplateIO
 
-from qommon import _
-from qommon import template
-from qommon.form import *
-from qommon import get_cfg
-from qommon import errors
+from . import _
+from . import template
+from .form import *
+from . import get_cfg
+from . import errors
 
-import qommon.ident.password
-from qommon.ident.password_accounts import PasswordAccount
+from .ident.password_accounts import PasswordAccount
 
 from wcs.qommon.admin.texts import TextsDirectory
 
@@ -152,7 +151,8 @@ class MyspaceDirectory(Directory):
             return redirect('.')
 
         if form.is_submitted() and not form.has_errors():
-            qommon.ident.password.check_password(form, 'new_password')
+            from .qommon.ident.password import check_password
+            check_password(form, 'new_password')
             new_password = form.get_widget('new_password').parse()
             new2_password = form.get_widget('new2_password').parse()
             if new_password != new2_password:
diff --git a/wcs/qommon/pages.py b/wcs/qommon/pages.py
index 2556ee1ad..c5a6cf4b7 100644
--- a/wcs/qommon/pages.py
+++ b/wcs/qommon/pages.py
@@ -20,8 +20,8 @@ from quixote import get_publisher, redirect
 from quixote.directory import Directory
 from quixote.util import StaticDirectory
 
-from qommon import errors
-from qommon import template
+from . import errors
+from . import template
 
 class PagesDirectory(Directory):
     _q_exports = ['']
diff --git a/wcs/qommon/publisher.py b/wcs/qommon/publisher.py
index e49794350..e9c51143f 100644
--- a/wcs/qommon/publisher.py
+++ b/wcs/qommon/publisher.py
@@ -15,6 +15,7 @@
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
 import collections
+from django.utils.six.moves import builtins
 from django.utils.six.moves import configparser as ConfigParser
 from django.utils.six.moves import cPickle
 import datetime
@@ -32,8 +33,8 @@ import socket
 import sys
 import time
 import traceback
-import __builtin__
-__builtin__.__dict__['N_'] = lambda x: x
+
+builtins.__dict__['N_'] = lambda x: x
 
 import linecache
 import requests
@@ -46,18 +47,18 @@ from django.utils import translation
 from django.utils.translation import gettext, ngettext
 
 from quixote.publish import Publisher, get_request, get_response, get_publisher, redirect
-from http_request import HTTPRequest
-from http_response import HTTPResponse, AfterJob
+from .http_request import HTTPRequest
+from .http_response import HTTPResponse, AfterJob
 
-from cron import CronJob
-from substitution import Substitutions, CompatibilityNamesDict
+from .cron import CronJob
+from .substitution import Substitutions, CompatibilityNamesDict
 
-import errors
-import template
+from . import errors
+from . import template
 import logging
 import logging.handlers
-import logger
-import storage
+from . import logger
+from . import storage
 import urllib
 
 class ImmediateRedirectException(Exception):
@@ -556,12 +557,12 @@ class QommonPublisher(Publisher, object):
             lasso = None
         classes = []
         if lasso:
-            import qommon.ident.idp
-            classes.append(qommon.ident.idp.IdPAuthMethod)
-        import qommon.ident.franceconnect
-        classes.append(qommon.ident.franceconnect.FCAuthMethod)
-        import qommon.ident.password
-        classes.append(qommon.ident.password.PasswordAuthMethod)
+            from .ident import idp
+            classes.append(idp.IdPAuthMethod)
+        from .ident import franceconnect
+        classes.append(franceconnect.FCAuthMethod)
+        from .ident import password
+        classes.append(password.PasswordAuthMethod)
         self.ident_methods = {}
         for klass in classes:
             self.ident_methods[klass.key] = klass
@@ -1008,10 +1009,10 @@ def get_logger():
 
 
 def set_publisher_class(klass):
-    __builtin__.__dict__['__publisher_class'] = klass
+    builtins.__dict__['__publisher_class'] = klass
 
 def get_publisher_class():
-    return __builtin__.__dict__.get('__publisher_class')
+    return builtins.__dict__.get('__publisher_class')
 
 
 Substitutions.register('site_name', category=N_('General'), comment=N_('Site Name'))
diff --git a/wcs/qommon/saml2.py b/wcs/qommon/saml2.py
index 622657938..9bd10d2fc 100644
--- a/wcs/qommon/saml2.py
+++ b/wcs/qommon/saml2.py
@@ -31,14 +31,14 @@ from quixote.http_request import parse_header
 from quixote.directory import Directory
 from quixote import get_session, get_session_manager
 
-import misc
-from publisher import get_cfg, get_logger
-from qommon import _
-from qommon import template
-from template import error_page
+from . import misc
+from .publisher import get_cfg, get_logger
+from . import _
+from . import template
+from .template import error_page
 from wcs.roles import Role
 
-import errors
+from . import errors
 
 
 class SOAPException(Exception):
diff --git a/wcs/qommon/saml2utils.py b/wcs/qommon/saml2utils.py
index 6755c2db8..2f67abe8b 100644
--- a/wcs/qommon/saml2utils.py
+++ b/wcs/qommon/saml2utils.py
@@ -16,7 +16,7 @@
 
 import os
 
-import x509utils
+from . import x509utils
 
 def bool2xs(boolean):
     '''Convert a boolean value to XSchema boolean representation'''
diff --git a/wcs/qommon/sessions.py b/wcs/qommon/sessions.py
index a62a445bf..a885192b8 100644
--- a/wcs/qommon/sessions.py
+++ b/wcs/qommon/sessions.py
@@ -28,9 +28,9 @@ from quixote.util import randbytes
 from django.conf import settings
 from django.core.signing import Signer, BadSignature
 
-from qommon import misc
-from qommon.storage import StorableObject
-from publisher import get_cfg
+from . import misc
+from .storage import StorableObject
+from .publisher import get_cfg
 from quixote.publish import get_session, get_session_manager, get_request
 
 
diff --git a/wcs/qommon/sms.py b/wcs/qommon/sms.py
index 93f177ec4..27d554baa 100644
--- a/wcs/qommon/sms.py
+++ b/wcs/qommon/sms.py
@@ -17,9 +17,9 @@
 import re
 import urllib
 
-from qommon import errors, misc
-from qommon import get_cfg, get_logger
-from qommon.form import StringWidget, PasswordWidget
+from . import errors, misc
+from . import get_cfg, get_logger
+from .form import StringWidget, PasswordWidget
 from wcs.wscalls import call_webservice
 
 
diff --git a/wcs/qommon/storage.py b/wcs/qommon/storage.py
index 4e0d59a2b..c73ceaad1 100644
--- a/wcs/qommon/storage.py
+++ b/wcs/qommon/storage.py
@@ -23,12 +23,10 @@ import os.path
 import shutil
 import sys
 import tempfile
-try:
-    import thread as _thread
-except ImportError:
-    import dummy_thread as _thread
 
-from vendor import locket
+from django.utils.six.moves import _thread
+
+from .vendor import locket
 
 from quixote import get_publisher
 
diff --git a/wcs/qommon/substitution.py b/wcs/qommon/substitution.py
index df9f9b9e5..b044bb29a 100644
--- a/wcs/qommon/substitution.py
+++ b/wcs/qommon/substitution.py
@@ -120,7 +120,7 @@ class Substitutions(object):
 
     @classmethod
     def get_substitution_html_table(cls):
-        from qommon import _
+        from . import _
         r = TemplateIO(html=True)
         r += htmltext('<table id="substvars">')
         r += htmltext('<thead><tr><th>%s</th><th>%s</th><th>%s</th></tr></thead>' % (
diff --git a/wcs/qommon/template.py b/wcs/qommon/template.py
index 200864872..db7ac1702 100644
--- a/wcs/qommon/template.py
+++ b/wcs/qommon/template.py
@@ -32,8 +32,7 @@ from quixote.directory import Directory
 from quixote.util import StaticDirectory, StaticFile
 from quixote.html import htmltext, htmlescape, TemplateIO
 
-import errors
-import ezt
+from . import ezt
 
 
 def get_template_from_script(filename):
@@ -186,7 +185,7 @@ def html_top(title=None, default_org=None):
 
 def error_page(error_message, error_title = None, exception = None, continue_to = None,
             location_hint = None):
-    from qommon import _
+    from . import _
     if not error_title:
         error_title = _('Error')
     if exception:
@@ -195,8 +194,7 @@ def error_page(error_message, error_title = None, exception = None, continue_to
 
     kwargs = {'title': error_title}
     if location_hint == 'backoffice':
-        import qommon.backoffice.menu
-        error_html_top = qommon.backoffice.menu.html_top
+        from .backoffice.menu import html_top as error_html_top
         kwargs[str('section')]  = None
     else:
         error_html_top = html_top
@@ -432,7 +430,7 @@ class TemplateError(Exception):
 
 
 def ezt_raises(exception, on_parse=False):
-    from qommon import _
+    from . import _
     parts = []
     parts.append({
             ezt.ArgCountSyntaxError: _('wrong number of arguments'),
@@ -472,7 +470,7 @@ class Template(object):
                 self.template = engines['django'].from_string(value)
             except DjangoTemplateSyntaxError as e:
                 if raises:
-                    from qommon import _
+                    from . import _
                     raise TemplateError(_('syntax error in Django template: %s'), e)
                 self.render = self.null_render
 
@@ -497,7 +495,7 @@ class Template(object):
             rendered = self.template.render(context)
         except (DjangoTemplateSyntaxError, DjangoVariableDoesNotExist) as e:
             if self.raises:
-                from qommon import _
+                from . import _
                 raise TemplateError(_('failure to render Django template: %s'), e)
             else:
                 return self.value
diff --git a/wcs/qommon/tokens.py b/wcs/qommon/tokens.py
index ec45ed525..64514ca09 100644
--- a/wcs/qommon/tokens.py
+++ b/wcs/qommon/tokens.py
@@ -17,7 +17,7 @@
 import random
 import string
 
-from qommon.storage import StorableObject
+from .storage import StorableObject
 import time
 
 class Token(StorableObject):
diff --git a/wcs/roles.py b/wcs/roles.py
index 9c697807e..f5c490593 100644
--- a/wcs/roles.py
+++ b/wcs/roles.py
@@ -16,9 +16,8 @@
 
 from quixote import get_publisher
 
-from qommon import _
-from qommon.storage import StorableObject
-import qommon.misc
+from .qommon import _, misc
+from .qommon.storage import StorableObject
 
 class Role(StorableObject):
     _names = 'roles'
@@ -51,7 +50,7 @@ class Role(StorableObject):
         super(Role, self).store()
 
     def get_new_slug(self):
-        new_slug = qommon.misc.simplify(self.name)
+        new_slug = misc.simplify(self.name)
         base_new_slug = new_slug
         suffix_no = 0
         while True:
@@ -126,6 +125,6 @@ def logged_users_role():
 
 
 def get_user_roles():
-    t = sorted([(qommon.misc.simplify(x.name), x.id, x.name, x.id) for x in Role.select()])
+    t = sorted([(misc.simplify(x.name), x.id, x.name, x.id) for x in Role.select()])
     return [x[1:] for x in t]
 
